Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel
Class PDDocumentNameDictionary

    java.lang.Object
      org.pdfbox.pdmodel.PDDocumentNameDictionary

All Implemented Interfaces:
  COSObjectable

public class PDDocumentNameDictionary
extends Object
implements COSObjectable

This class holds all of the name trees that are available at the document level.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@benlitchfield.com)

Constructor Summary
`PDDocumentNameDictionary(PDDocumentCatalog cat)` Constructor.
`PDDocumentNameDictionary(PDDocumentCatalog cat, COSDictionary names)` Constructor.

Method Summary
`COSDictionary` | `getCOSDictionary()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`PDDestinationNameTreeNode` | `getDests()` Get the destination named tree node.
`void` | `setDests(PDDestinationNameTreeNode dests)` Set the named destinations that are associated with this document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDDocumentNameDictionary

    public PDDocumentNameDictionary(PDDocumentCatalog cat)

  Constructor.

Parameters:
  `cat` - The document catalog that this dictionary is part of.

### PDDocumentNameDictionary

    public PDDocumentNameDictionary(PDDocumentCatalog cat,
                                    COSDictionary names)

  Constructor.

Parameters:
  `cat` - The document that this dictionary is part of.
  `names` - The names dictionary.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  Convert this standard java object to a COS object.

  Returns:
    The cos dictionary for this object.

### getDests

    public PDDestinationNameTreeNode getDests()

  Get the destination named tree node. The value in this name tree will be PDDestination objects.

  Returns:
    The destination name tree node.

### setDests

    public void setDests(PDDestinationNameTreeNode dests)

  Set the named destinations that are associated with this document.

  Parameters:
    `dests` - The destination names.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD